Subject: ����: Re: Virtual IPs & Virtual MACs...

From: [email-masked]
Date: Thu, 5 Apr 2001 08:32:45 +0800

You wrote:
  many ethernet cards are programmable to listen for a set of ethernet addresses
[this is often used for instance in listening for specific IP multicast
group memberships].

When I implement VRRP, I finally choose the promiscuous mode. Although I know
it's not efficient, I have to do this way. As Virtual MAC is not a mcast MAC,
it's 00:00:5e:00:01:xx, the first octet is not 0x01. So when I add the virtual
MAC into the mcast group won't work. The ethernet card does not generate
interrupt indeed.
Could you clarify how could I use no promiscuous mode.

P.S. the ethernet controller is Intel82559.

---

From: "Danny J. Mitzel" <[email-masked]>
Date: Wed, 04 Apr 2001 23:01:18 -0700

On Thursday, April 05, 2001 at 08:32 +0800,
[email-masked] writes:

>> As Virtual MAC is not a mcast MAC, it's 00:00:5e:00:01:xx, the 
>> first octet is not 0x01.  So when I add the virtual MAC into the 
>> mcast group won't work. 

I know very little about the various ethernet chipsets.  for cards
supporting filtering for multiple MAC addresses I haven't heard of
restrictions on only supporting multicast MAC filter.  my mention
regarding IP multicast was just an example of other IP protocols
that benefit and are often implemented to use these same features
of ethernet chipset.